# Copyright (C) 2021-2023 Cochise Ruhulessin
#
# All rights reserved. No warranty, explicit or implicit, provided. In
# no event shall the author(s) be liable for any claim or damages.
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
from collections import defaultdict

from .teamleader import *


__all__: list[str] = [
    'COUNTRY_LANGUAGES',
    'TL_ENTITY_BUYMOLANO_ID',
    'TL_ENTITY_MOLANO_BV',
    'TL_ENTITY_MOLANO_IMEX_BV',
    'TL_ENTITY_REFURBCITY_BV',
    'TL_ENTITY_REFURBPLATFORM',
    'TL_FIELD_VAT_CHECKED',
    'TL_FIELD_VAT_STATUS',
    'TL_FIELD_SHOPIFY_ORDER_ID',
    'TL_FIELD_SHOPIFY_ORDER_URL',
    'TL_FIELD_BUYMOLANO_ORDER_NUMBER',
    'TL_TAX_ID_SALES_EU',
    'TL_TAX_ID_SALES_INT',
    'TL_TAX_ID_VAT_NL_HIGH',
]

COUNTRY_LANGUAGES: defaultdict[str, str] = defaultdict(lambda: 'en', {
    'ES': 'es',
    'FR': 'fr',
    'NL': 'nl',
    'PT': 'pt',
})